Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class KeyStoreType

    java.lang.Object
      org.apache.cxf.configuration.security.KeyStoreType

    public class KeyStoreType

extends java.lang.Object

A KeyStoreType represents the information needed to load a collection of key and certificate material from a desired location. The "url", "file", and "resource" attributes are intended to be mutually exclusive, though this assumption is not encoded in schema. The precedence order observed by the runtime is 1) "file", 2) "resource", and 3) "url".

Java class for KeyStoreType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="KeyStoreType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="password" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="provider" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="url" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="file" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="resource" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.String` | `file`
`protected java.lang.String` | `password`
`protected java.lang.String` | `provider`
`protected java.lang.String` | `resource`
`protected java.lang.String` | `type`
`protected java.lang.String` | `url`

Constructor Summary
`KeyStoreType()`

Method Summary
`java.lang.String` | `getFile()` Gets the value of the file property.
`java.lang.String` | `getPassword()` Gets the value of the password property.
`java.lang.String` | `getProvider()` Gets the value of the provider property.
`java.lang.String` | `getResource()` Gets the value of the resource property.
`java.lang.String` | `getType()` Gets the value of the type property.
`java.lang.String` | `getUrl()` Gets the value of the url property.
`boolean` | `isSetFile()`
`boolean` | `isSetPassword()`
`boolean` | `isSetProvider()`
`boolean` | `isSetResource()`
`boolean` | `isSetType()`
`boolean` | `isSetUrl()`
`void` | `setFile(java.lang.String value)` Sets the value of the file property.
`void` | `setPassword(java.lang.String value)` Sets the value of the password property.
`void` | `setProvider(java.lang.String value)` Sets the value of the provider property.
`void` | `setResource(java.lang.String value)` Sets the value of the resource property.
`void` | `setType(java.lang.String value)` Sets the value of the type property.
`void` | `setUrl(java.lang.String value)` Sets the value of the url property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected java.lang.String type

### password

    protected java.lang.String password

### provider

    protected java.lang.String provider

### url

    protected java.lang.String url

### file

    protected java.lang.String file

### resource

    protected java.lang.String resource

Constructor Detail

### KeyStoreType

    public KeyStoreType()

Method Detail

### getType

    public java.lang.String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(java.lang.String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### isSetType

    public boolean isSetType()

### getPassword

    public java.lang.String getPassword()

  Gets the value of the password property.

  Returns:
    possible object is `String`

### setPassword

    public void setPassword(java.lang.String value)

  Sets the value of the password property.

  Parameters:
    `value` - allowed object is `String`

### isSetPassword

    public boolean isSetPassword()

### getProvider

    public java.lang.String getProvider()

  Gets the value of the provider property.

  Returns:
    possible object is `String`

### setProvider

    public void setProvider(java.lang.String value)

  Sets the value of the provider property.

  Parameters:
    `value` - allowed object is `String`

### isSetProvider

    public boolean isSetProvider()

### getUrl

    public java.lang.String getUrl()

  Gets the value of the url property.

  Returns:
    possible object is `String`

### setUrl

    public void setUrl(java.lang.String value)

  Sets the value of the url property.

  Parameters:
    `value` - allowed object is `String`

### isSetUrl

    public boolean isSetUrl()

### getFile

    public java.lang.String getFile()

  Gets the value of the file property.

  Returns:
    possible object is `String`

### setFile

    public void setFile(java.lang.String value)

  Sets the value of the file property.

  Parameters:
    `value` - allowed object is `String`

### isSetFile

    public boolean isSetFile()

### getResource

    public java.lang.String getResource()

  Gets the value of the resource property.

  Returns:
    possible object is `String`

### setResource

    public void setResource(java.lang.String value)

  Sets the value of the resource property.

  Parameters:
    `value` - allowed object is `String`

### isSetResource

    public boolean isSetResource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF